% Plotte sin(x) fuer x in [0,2pi]

% Wertetabelle erstellen

% Vektor mit 50 aequidistanten Stuetzstellen erzeugen
x = linspace(0,2*pi,50);
y = zeros(50,1); % Initialisierung

% Berechne sin(x(i)) fuer alle x(i)
for i=1:length(x)
    y(i) = sin(x(i));
end

% Plotten mit roter Farbe
% Die Punkte (x(i),y(i)) werden mit einem Kreis markiert
plot(x,y,'r','Marker','o');

% Ueberschrift und Achsenbeschriftungen! Matlab kann auch LaTeX
title('Mein erster plot');
xlabel('0 \leq x \leq 2 \pi');
ylabel('sin(x)');

% Lege Achsen fest: [xmin,xmax,ymin,ymax]
axis([0,2*pi,-1.1,1.1]);

% Speichere Plot als png-Datei
% Erstes Argument: Dateiformat
% Zweites Argument: Aufloesung
% Letztes Argument: Dateiname
print('-dpng','-r100','sin_plot.png');
